# Get backup details

Get ` https://app.mk.io/api/v1/projects/:project_name/fleet/backups/:backup_id`

Get details for a single backup by reading metadata.json from blob storage.

RBAC Capability Required: `fleet.device.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- `project_name` **string** Required  
- `backup_id` **string** Required, format: uuid

## Response

**200** Device backup details.

- `assetFile` **Included** **boolean** Required  
  Whether the asset file is included in the backup.
- `blobStorageUrl` **string** Required  
  The URL to the backup blob in storage.
- `customer` **string** Required  
  The customer ID.
- `device` **string** Required  
  The device ID.
- `id` **string** Required  
  The unique identifier for the backup.
- `name` **string** Required  
  The name of the backup file.
- `project` **string** Required  
  The project ID.
- `services` **map from strings to any** Required  
  Services information.
- `signature` **string** Required  
  Signature for the backup file.
- `timestamp` **string** Required  
  Timestamp of the backup creation.

## Errors

- **400 Bad Request**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required

- **401 Unauthorized**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required

- **403 Forbidden**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required

- **404 Not Found**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required

- **409 Conflict**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required

- **429 Too Many Requests**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required

- **500 Internal Server Error**
  - `error` **object** [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
    - `code` **string** Required  
    - `detail` **string** Required  
    - `extraDetail` **map from strings to any** Optional  
      Extra information regarding this error.  
      `[any key] any`
    - `ref` **string** Required  
    - `status` **integer** Required
